CREATE TABLE [dbo].[Act2SignStatus](
	[ID] [uniqueidentifier] NOT NULL,
	[RequestID] [uniqueidentifier] NOT NULL,
	[Action] [nvarchar](255) NOT NULL,
	[ActionDate] [datetime] NOT NULL,
	[Details] [nvarchar](512) NULL,
	[IP] [nvarchar](255) NULL,	
	[Location] [nvarchar](512) NULL,	
	[System] [nvarchar](512) NULL,	
	[Syscreated] [datetime] NOT NULL,
	[Syscreator] [int] NOT NULL,
 CONSTRAINT [PK_Act2SignStatus] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Act2SignStatus] ADD  DEFAULT (newsequentialid()) FOR [ID]
GO

ALTER TABLE [dbo].[Act2SignStatus] ADD  DEFAULT (getdate()) FOR [Syscreated]
GO

ALTER TABLE [dbo].[Act2SignStatus] ADD  DEFAULT ((0)) FOR [Syscreator]
GO

ALTER TABLE [dbo].[Act2SignStatus]  WITH CHECK ADD FOREIGN KEY([RequestID])
REFERENCES [dbo].[Absences] ([ID])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

